commit 507b4e147588c0fafe952b7226dd764ebeebb103
Author: Georg-Johann Lay <avr@gjlay.de>
Date:   Fri Aug 16 18:13:34 2024

    AVR: target/85624 - Use HImode for clrmemqi alignment.
    
    gcc/
            PR target/85624
            * config/avr/avr.md (*clrmemqi*): Use HImode for alignment operand.
    
    gcc/testsuite/
            * gcc.target/avr/torture/pr85624.c: New test.

diff --git a/gcc/testsuite/gcc.target/avr/torture/pr85624.c b/gcc/testsuite/gcc.target/avr/torture/pr85624.c
new file mode 100644
index 00000000000..b183d4558df
--- /dev/null
+++ b/gcc/testsuite/gcc.target/avr/torture/pr85624.c
@@ -0,0 +1,7 @@
+/* { dg-do compile } */
+
+int foo (void)
+{
+  volatile int arr[3] __attribute__((aligned(128))) = { 0 };
+  return arr[2];
+}

